---
title: "Reads the customer's answers to a product's registration questions."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › product

`GET /v1/stores/{store}/products/{product}/answers`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`listProductAnswers.path.store`; string, required) — A hostname of the store.
- `product` (`listProductAnswers.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/answers' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/answers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/answers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads the customer's answers to a product's registration questions.

#### Example

```json
{
  "product_id": "string",
  "answers": [
    {
      "question_id": "string",
      "value": true
    }
  ]
}
```

- `product_id` (`listProductAnswers.response.200.product_id`; string, required)
- `answers` (`listProductAnswers.response.200.answers`; array<object>, required) — The customer's answers in the questions' order; one no longer standing, as a pick since taken off, is absent.
  - `question_id` (`listProductAnswers.response.200.answers.question_id`; string, required)
  - `value` (`listProductAnswers.response.200.answers.value`; any of, required)
    - any of: `boolean`, `string`, `array<string>`

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listProductAnswers.response.default.type`; string, required)
  - format `uri`
- `title` (`listProductAnswers.response.default.title`; string, required)
- `status` (`listProductAnswers.response.default.status`; integer, required)
- `detail` (`listProductAnswers.response.default.detail`; string, required)
- `code` (`listProductAnswers.response.default.code`; string, optional)
- `context` (`listProductAnswers.response.default.context`; object, optional)
- `reached_core` (`listProductAnswers.response.default.reached_core`; boolean, optional)
- `core_answer` (`listProductAnswers.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/list-product-answers/index.md
